import 'package:flutter/material.dart';
import 'package:kyc/Components/Welcome/welcome.dart';
import 'package:kyc/Components/state.dart';
import 'package:provider/provider.dart';

class BackPopup {
  static standardPopup(BuildContext context) {
    double height = MediaQuery.of(context).size.height;
    double width = MediaQuery.of(context).size.width;

    context.read<KycState>().reset();
    showDialog(
        context: context,
        builder: (context) => AlertDialog(
              title: Text("Discard ALL?"),
              content: Text(
                  "Changes will not be saved.\nYou'll have to assess a new verification."),
              contentPadding: EdgeInsets.only(left: width*0.1, top: height*0.02),
              actions: [
                TextButton(
                    onPressed: () => Navigator.pushNamedAndRemoveUntil(
                        context, WelcomeStep.routeName, (_) => false),
                    child: Text("Yes")),
                TextButton(
                    onPressed: () => Navigator.pop(context, false),
                    child: Text("Cancel"))
              ],
            ));
  }
}
