import 'dart:io';

import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';

class EndPreviewScreen extends StatelessWidget {
  static final String TITLE = "Cleardil KYC";

  const EndPreviewScreen({Key key}) : super(key: key);

  _handleNavigation(BuildContext context) async {
    exit(0);
  }

  @override
  Widget build(BuildContext context) {
    double height = MediaQuery.of(context).size.height;
    double width = MediaQuery.of(context).size.width;

    return Scaffold(
      appBar: AppBar(title: Text(TITLE)),
      body: Padding(
        padding: EdgeInsets.only(top: height * 0.15),
        child: Center(
          child: Column(
            children: [
              Container(
                  child: Image.asset("assets/images/hero-right.png"),
                  height: height * 0.3,
                  width: width * 0.4),
              Padding(
                padding: EdgeInsets.only(bottom: height * 0.01),
                child: Text(
                  "Congratulation ! ",
                  style: TextStyle(fontSize: 30),
                ),
              ),
              Container(
                width: width * 0.72,
                child: Text(
                    "Your data has been sent for analysis and the verification process is on going !"),
              )
            ],
          ),
        ),
      ),
      floatingActionButtonLocation: FloatingActionButtonLocation.centerFloat,
      floatingActionButton: TextButton(
          onPressed: () {
            _handleNavigation(context);
          },
          style: ButtonStyle(
              backgroundColor: MaterialStateProperty.all(
                  Theme.of(context).colorScheme.primary)),
          child: Padding(
            padding: EdgeInsets.symmetric(horizontal: width * 0.3),
            child: Text(
              "Exit !",
              style: TextStyle(
                  fontSize: 18, color: Theme.of(context).colorScheme.surface),
            ),
          )),
    );
  }
}
