import 'package:flutter/material.dart';
import 'package:kyc/Components/Transitions/document_selector.dart';

class WelcomeStep extends StatelessWidget {
  static const routeName = "/home";
  static const double MIN_VERTICAL_DENSITY = -4;
  static final String CLEARDIL_ICON_PATH = "assets/images/hero-right.png";
  static final String H1 = "Cleardil Identity Check";
  static final String TITLE = "Cleardil KYC";

  _buildTitleHeader(BuildContext context) {
    double width = MediaQuery.of(context).size.width;
    double height = MediaQuery.of(context).size.height;

    return Column(
      children: [
        Container(
            width: width * 0.35,
            height: width * 0.35,
            child: Image.asset(CLEARDIL_ICON_PATH)),
        Text(
          H1,
          style: TextStyle(
              fontSize: height * 0.033,
              fontWeight: FontWeight.bold,
              color: Colors.blue),
        ),
        Text("Make sure you have an identity document",
            style: TextStyle(fontSize: height * 0.014),
            textAlign: TextAlign.left),
      ],
    );
  }

  _buildStepHighlight(BuildContext context) {
    double width = MediaQuery.of(context).size.width;
    double height = MediaQuery.of(context).size.height;

    return Padding(
      padding: EdgeInsets.only(left: width * 0.05, top: height * 0.05),
      child: Column(
        children: [
          ListTile(
            visualDensity: VisualDensity(vertical: MIN_VERTICAL_DENSITY),
            leading: Icon(Icons.featured_video_sharp),
            title: Text("Scan a document"),
            horizontalTitleGap: 0,
          ),
          Padding(
            padding: EdgeInsets.only(left: width * 0.07),
            child: Align(
              alignment: Alignment.topLeft,
              child: Container(
                  width: 2,
                  height: height * 0.08,
                  child: VerticalDivider(
                    color: Colors.blue,
                    thickness: 2.5,
                  )),
            ),
          ),
          ListTile(
            visualDensity: VisualDensity(vertical: MIN_VERTICAL_DENSITY),
            leading: Icon(Icons.camera_alt),
            title: Text("Take a selfie"),
            horizontalTitleGap: 0,
          ),
        ],
      ),
    );
  }

  @override
  Widget build(BuildContext context) {
    double width = MediaQuery.of(context).size.width;
    double height = MediaQuery.of(context).size.height;
    return Scaffold(
      appBar: AppBar(
        title: Text(TITLE),
      ),
      body: Padding(
        padding: EdgeInsets.only(top: height * 0.10),
        child: Column(
          mainAxisAlignment: MainAxisAlignment.start,
          children: [
            _buildTitleHeader(context),
            _buildStepHighlight(context),
            Expanded(
              child: Padding(
                padding: EdgeInsets.only(bottom: height * 0.02),
                child: Align(
                  alignment: Alignment.bottomCenter,
                  child: TextButton(
                    onPressed: () {
                      Navigator.of(context).pushReplacement(
                          new MaterialPageRoute(
                              builder: (BuildContext context) =>
                                  DocumentSelector()));
                    },
                    child: Text(
                      "Start",
                      style: TextStyle(
                          color: Colors.white, fontSize: height * 0.03),
                    ),
                    style: ButtonStyle(
                        padding: MaterialStateProperty.all(
                            EdgeInsets.symmetric(horizontal: width * 0.35)),
                        backgroundColor: MaterialStateProperty.all(Colors.blue),
                        foregroundColor:
                            MaterialStateProperty.all(Colors.blue)),
                  ),
                ),
              ),
            )
          ],
        ),
      ),
    );
  }
}
