enum DocumentType { Passport, IdentityCard, DriversLicense, FaceScan, None }

extension DocumentTypeStr on DocumentType {
  static const Map<DocumentType, String> enumStrMap = {
    DocumentType.Passport: "PASSPORT",
    DocumentType.IdentityCard: "NATIONAL_ID_CARD",
    DocumentType.DriversLicense: "DRIVING_LICENSE",
    DocumentType.FaceScan: "FACE_SCAN",
    DocumentType.None: "NONE"
  };

  String get str => enumStrMap[this];

  static DocumentType convert(String str) {
    return enumStrMap.keys.firstWhere((element) => enumStrMap[element] == str,
        orElse: () => DocumentType.None);
  }
}
