import 'package:kyc/Exceptions/sdk_exceptions.dart';

class ApiException extends SdkException {
  final _message;
  final _prefix;

  ApiException([this._message, this._prefix, int errorCode]) : super(errorCode);

  String toString() {
    return "$_prefix$_message";
  }
}

class FetchDataException extends ApiException {
  FetchDataException([String message])
      : super(message, "Error During Communication: ", 5001);
}

class BadRequestException extends ApiException {
  BadRequestException([message]) : super(message, "Invalid Request: ", 5002);
}

class UnauthorisedException extends ApiException {
  UnauthorisedException([message]) : super(message, "Unauthorised: ", 5003);
}

class InvalidInputException extends ApiException {
  InvalidInputException([String message])
      : super(message, "Invalid Input: ", 5005);
}
