import 'package:flutter/services.dart';
import 'package:kyc/Models/country.dart';

class CountryService {
  static const SEPARATOR = "\n";
  static const DATA_SEPARATOR = ";";
  static const FILE_PATH = "assets/countries_iso.csv";

  Future<dynamic> getCountryList() async {
    var countriesCsv = await rootBundle.loadString(FILE_PATH);
    List<Country> countries = List.empty(growable: true);
    var lines = countriesCsv.split(SEPARATOR);
    lines.forEach((line) {
      var countryData = line.split(DATA_SEPARATOR);
      if (countryData.isNotEmpty && countryData.length > 1) {
        var tmpCountry = Country(countryData[1].trim(), countryData[0].trim());
        countries.add(tmpCountry);
      }
    });
    return countries;
  }
}
