import 'package:kyc/Exceptions/sdk_exceptions.dart';
import 'package:kyc/Models/kyc_document.dart';
import 'package:kyc/Services/call_api_service.dart';

class DocumentService {
  CallApiService _apiService;

  DocumentService();

  DocumentService.withService(CallApiService apiService) {
    _apiService = apiService;
  }

  Future<dynamic> sendDocument(KycDocument doc, String country) async {
    try {
      if (_apiService == null) {
        _apiService = await CallApiService.create();
      }

      dynamic response = await _apiService.sendDocument(doc, country);
      return response;
    } on SdkException catch (e) {
      rethrow;
    } catch (e) {
      throw new UnknownException();
    }
  }

}
