import 'package:global_configuration/global_configuration.dart';
import 'package:kyc/Exceptions/sdk_exceptions.dart';
import 'package:kyc/Utils/configuration_consts.dart';

class ConfigurationUtils {
  static GlobalConfiguration _globalConfiguration;
  static const String _CONF_FILE_NAME = "api_configuration";

  static Future<GlobalConfiguration> getConfiguration() async {
    if (_globalConfiguration == null) {
      try {
        _globalConfiguration = new GlobalConfiguration();
        await _globalConfiguration.loadFromAsset(_CONF_FILE_NAME);
      } catch (e) {
        print(e);
      }
    }
    return _globalConfiguration;
  }

  static Future<String> getUrlForEnvironment(String environment) async {
    GlobalConfiguration configuration = await getConfiguration();
    if (ConfigurationConsts.PROD == environment) {
      return configuration.getString(ConfigurationConsts.API_URL_PROD);
    } else if (ConfigurationConsts.SANDBOX == environment) {
      return configuration.getString(ConfigurationConsts.API_URL_SANDBOX);
    } else {
      throw new IllegalEnvironmentException();
    }
  }
}
